Solved ROBLOX Requires SSE2 Support

May 2, 2016 at 13:44:27
Specs: Windows XP, 512 MB of RAM
When I want to launch ROBLOX it says me "ROBLOX Requires SSE2 Support".
What to do?
My pc specs:

SYSTEM:Microsoft Windows XP Professional Version 2002 Service Pack 3

COMPUTER:AMD Athlon(TM)XP 2200+
1.79GHz,512 MB of RAM


See More: ROBLOX Requires SSE2 Support

Report •

#1
May 2, 2016 at 14:33:33
✔ Best Answer
Your computer is too old. SSE2 support is built into the processor & the Athlon XP doesn't have it. Intel SSE2 support started with the P4; AMD support started with the Athlon64.

message edited by riider


Report •
Related Solutions


Ask Question